Subject: Re: bug#53947: 29.0.50; tabulated-list-print, gives message of "1"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Feb 2022 17:14:12 +0100

Jean Louis <[email-masked]> writes:

>> The tabulated-list buffers I use don't display a "1" message.
>> 
>> Do you have a recipe to reproduce this bug, starting from "emacs -Q"?
>> 
>> You can also try to (setq debug-on-message "1") to get a backtrace.
>
> I see in message buffer: 1 (#o1, #x1, ?\C-a) and it is not string, and
> debug-on-message is not invoked.
>
> How else could I find the cause?

So the line in the *Messages* buffer isn't "1", but

1 (#o1, #x1, ?\C-a)

?

This means that you have a call to a function that describes ?\1
somewhere in your code, is my guess.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no